package com.style24.persistence.domain;

import com.style24.core.support.util.CryptoUtils;
import com.style24.persistence.TscBaseDomain;

import lombok.Data;

/**
 * 상품평등록안내 Domain
 *
 * @author gagamel
 * @since 2021. 5. 17
 */
@SuppressWarnings("serial")
@Data
public class ReviewGuide extends TscBaseDomain {

	private Integer custNo;		// 고객번호
	private Integer ordNo;		// 주문번호
	private Integer ordDtlNo;	// 주문상세번호
	private String goodsCd;		// 상품코드
	private String custNm;		// 고객명
	private String cellPhnno;	// 휴대전화번호

	// 암호화 대상 복호화 처리
	public String getCustNm() {
		this.custNm = CryptoUtils.decryptAES(this.custNm);
		return this.custNm;
	}

	public String getCellPhnno() {
		this.cellPhnno = CryptoUtils.decryptAES(this.cellPhnno);
		return this.cellPhnno;
	}

}
